Subject: bug#63662: 30.0.50; ERC 5.6: Document how to connect over SOCKS

From: Michael Albinus <[email-masked]>
Date: Wed, 31 May 2023 14:05:38 +0200

"J.P." <[email-masked]> writes:

> Hi Michael,

Hi,

>>> I've also taken the liberty of adding a command to view etc/ERC-NEWS
>>
>> Shouldn't this file be in `emacs-news-mode' (or in `emacs-news-view-mode'
>> when being viewed), like etc/NEWS?
>>
>> Best regards, Michael.
>
> The command I've added tries to activate `emacs-news-view-mode' if
> defined, but I'm not sure we can change the actual prop line because
> older Emacs versions we support (27+) don't seem to have the file
> emacs-news-mode.el.

So we might release it on GNU ELPA? In its current version, it compiles
only with Emacs 29+, but it shouldn't be too hard to make it compatible
with older Emacs versions.

> J.P.

Best regards, Michael.